Subject: Fw: I-D Action:draft-nadeau-ccamp-gmpls-oam-requirements-02.txt

From: "Adrian Farrel" <[email-masked]>
Date: Tue, 9 Oct 2007 10:37:25 +0100

Hi,

FYI. We tried to take on board some of the comments and concerns raised on 
the list when we asked about adopting this as a WG I-D. We also worked to 
tidy up the language a bit.

Would appreciate more thoughts especially from those who expressed concerns 
before.

Thanks,
Adrian

----- Original Message ----- 
From: <[email-masked]>
To: <[email-masked]>
Sent: Monday, October 08, 2007 11:40 PM
Subject: I-D Action:draft-nadeau-ccamp-gmpls-oam-requirements-02.txt

>A New Internet-Draft is available from the on-line Internet-Drafts 
>directories.
>
> Title           : OAM Requirements for Generalized Multi-Protocol Label 
> Switching (GMPLS) Networks
> Author(s)       : T. Otani, et al.
> Filename        : draft-nadeau-ccamp-gmpls-oam-requirements-02.txt
> Pages           : 11
> Date            : 2007-10-08
>
> This document describes requirements for operations and management
> (OAM) for Generalized Multi-Protocol Label Switching (GMPLS)
> networks, as well as for applications of GMPLS.
>
> A URL for this Internet-Draft is:
> http://www.ietf.org/internet-drafts/draft-nadeau-ccamp-gmpls-oam-requirements-02.txt
>
> To remove yourself from the I-D Announcement list, send a message to
> [email-masked] with the word unsubscribe in the body of
> the message.
> You can also visit https://www1.ietf.org/mailman/listinfo/I-D-announce
> to change your subscription settings.
>
> Internet-Drafts are also available by anonymous FTP. Login with the
> username "anonymous" and a password of your e-mail address. After
> logging in, type "cd internet-drafts" and then
> "get draft-nadeau-ccamp-gmpls-oam-requirements-02.txt".
>
> A list of Internet-Drafts directories can be found in
> http://www.ietf.org/shadow.html
> or ftp://ftp.ietf.org/ietf/1shadow-sites.txt
>
> Internet-Drafts can also be obtained by e-mail.
>
> Send a message to:
> [email-masked].
> In the body type:
> "FILE /internet-drafts/draft-nadeau-ccamp-gmpls-oam-requirements-02.txt".
>
> NOTE:   The mail server at ietf.org can return the document in
> MIME-encoded form by using the "mpack" utility.  To use this
> feature, insert the command "ENCODING mime" before the "FILE"
> command.  To decode the response(s), you will need "munpack" or
> a MIME-compliant mail reader.  Different MIME-compliant mail readers
> exhibit different behavior, especially when dealing with
> "multipart" MIME messages (i.e. documents which have been split
> up into multiple messages), so check your local documentation on
> how to manipulate these messages.
>
> Below is the data which will enable a MIME compliant mail reader
> implementation to automatically retrieve the ASCII version of the
> Internet-Draft.
>

--------------------------------------------------------------------------------

> _______________________________________________
> I-D-Announce mailing list
> [email-masked]
> https://www1.ietf.org/mailman/listinfo/i-d-announce
>

---

From: "tom.petch" <[email-masked]>
Date: Fri, 12 Oct 2007 17:54:10 +0200

Yes, I find this version clearer.

I was struck by two semantic changes, for which I am happy to leave any
discussion to when it is a WG I-D.  One is the change of the first sentence from
'This document describes requirements for data plane OAM for GMPLS'
to
'This document describes requirements for control plane OAM for GMPLS'
which sounds quite a change.   In practice, this does not reflect a dramatic
change of contents, but then again, I do not think either sentence gets it quite
right.

Second, I notice a much stronger emphasis on (SNMP) MIB modules; I presume it is
too early to accommodate other forms, such as the nascent NETCONF.

Tom Petch

----- Original Message -----
From: "Adrian Farrel" <[email-masked]>
To: <[email-masked]>
Sent: Tuesday, October 09, 2007 11:37 AM
Subject: Fw: I-D Action:draft-nadeau-ccamp-gmpls-oam-requirements-02.txt

> > A URL for this Internet-Draft is:
http://www.ietf.org/internet-drafts/draft-nadeau-ccamp-gmpls-oam-requirements-02
.txt

---

From: "Adrian Farrel" <[email-masked]>
Date: Sat, 13 Oct 2007 14:14:15 +0100

Hi Tom,

> Yes, I find this version clearer.

Good. Thanks.

> change of contents, but then again, I do not think either sentence gets it 

This tackled a comment from Don O'Connor.

I think the essence of Don's point was that the techniques being described 
were not data plane OAM. In fact, while we may leverage data plane OAM, for 
most (all?) technologies with which we are dealing, the data plane OAM is 
already defined (stroke being defined) by other bodies or other working 
groups.

We'd be happy to see another formulation of this text.

> too early to accommodate other forms, such as the nascent NETCONF.

Ah. Hmm.

As you say, NetConf is nascent. It would be a trifle premature to *require* 
NetConf conformance. In fact, the requirements would perhaps be a little 
more abstract (e.g., "standardised tools for operational management") if 
there wasn't also the general IETF "SHOULD" applied to the development of 
MIB modules for all protocols and protocol extensions.

Cheers,
Adrian